LraPopWitness (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmc

## Class LraPopWitness

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.LraPopWitness

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class LraPopWitness
      extends ASN1Object

       id-cmc-lraPOPWitness OBJECT IDENTIFIER ::= {id-cmc 11}

       LraPopWitness ::= SEQUENCE {
           pkiDataBodyid   BodyPartID,
           bodyIds         SEQUENCE OF BodyPartID
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LraPopWitness(BodyPartID pkiDataBodyid, ASN1Sequence bodyIds)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BodyPartID[]` | `getBodyIds()`
    `static LraPopWitness` | `getInstance(java.lang.Object o)`
    `BodyPartID` | `getPkiDataBodyid()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LraPopWitness

          public LraPopWitness(BodyPartID pkiDataBodyid,
                               ASN1Sequence bodyIds)

  - ### Method Detail

    - #### getInstance

          public static LraPopWitness getInstance(java.lang.Object o)

    - #### getPkiDataBodyid

          public BodyPartID getPkiDataBodyid()

    - #### getBodyIds

          public BodyPartID[] getBodyIds()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.